RubyGems Navigation menu

rubocop 0.24.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.64.1 - May 31, 2024 (626 KB)
  2. 1.64.0 - May 23, 2024 (626 KB)
  3. 1.63.5 - May 09, 2024 (623 KB)
  4. 1.63.4 - April 28, 2024 (623 KB)
  5. 1.63.3 - April 22, 2024 (623 KB)
  6. 0.24.1 - July 03, 2014 (266 KB)
Show all versions (273 total)

Runtime Dependencies (5):

json < 2, >= 1.7.7
parser < 3.0, >= 2.2.0.pre.3
powerpack ~> 0.0.6
rainbow < 3.0, >= 1.99.1

Development Dependencies (5):

bundler ~> 1.3
rake ~> 10.1
rspec ~> 3.0
simplecov ~> 0.7
yard ~> 0.8

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

1c58201dcd9e9cb364a5865b71d29c1371379c3c6c6896d6aaef292d0468bc54

Total downloads 429,105,955

For this version 244,613

License:

MIT

Required Ruby Version: >= 1.9.2

New versions require MFA: true

Links: